package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @author Mount Liu
 * @date 2019/2/28
 */
public class PageReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @NotNull(message = "当前页数不能为空")
    @ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int pageNo;

    @NotNull(message = "每页条数不能为空")
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;


    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
    private String maxCreateTime;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

}
